package cn.com.qmth.examcloud.core.examwork.dao;

import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamIpLimitEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import java.util.List;

public interface ExamIpLimitRepo extends JpaRepository<ExamIpLimitEntity, Long>,
			QueryByExampleExecutor<ExamIpLimitEntity>, JpaSpecificationExecutor<ExamIpLimitEntity> {

	@Query(value = "SELECT count(1) from ec_e_exam_ip_limit t where t.exam_id = ?1 " +
			"AND t.limit_type = ?2 AND 3? REGEXP t.ip ",nativeQuery = true)
	int countByExamIdAndLimitTypeAndIp(Long examId, String limitType, String ip);

	@Query(value = "delete from ec_e_exam_ip_limit where id in ?1 ",nativeQuery = true)
    void deleteByIds(List<Long> ipIds);

	@Query(value = "delete from ec_e_exam_ip_limit where exam_id = ?1 ",nativeQuery = true)
	void deleteAllByExamId(Long examId);
}
